[FFmpeg-devel] hwcontext_vaapi: add iHD open source driver.

Submitted by Jun Zhao on Jan. 31, 2018, 12:35 a.m.

Details

Message ID 8f1c9645-26ac-e10b-5321-213034c36d70@gmail.com
State New
Headers show

Commit Message

Jun Zhao Jan. 31, 2018, 12:35 a.m.
Now FFmpeg-VAAPI work with iHD open source driver
(https://github.com/intel/media-driver) initiatory.
From 069611945880643aad6ffb5ea70b732f40bbb510 Mon Sep 17 00:00:00 2001
From: Jun Zhao <jun.zhao@intel.com>
Date: Wed, 31 Jan 2018 08:21:30 +0800
Subject: [PATCH] hwcontext_vaapi: add iHD open source driver.

Signed-off-by: Jun Zhao <jun.zhao@intel.com>
---
 libavutil/hwcontext_vaapi.c | 4 ++++
 1 file changed, 4 insertions(+)

Comments

Mark Thompson Jan. 31, 2018, 11:13 a.m.
On 31/01/18 00:35, Jun Zhao wrote:
> Now FFmpeg-VAAPI work with iHD open source driver
> (https://github.com/intel/media-driver) initiatory.
> 
> From 069611945880643aad6ffb5ea70b732f40bbb510 Mon Sep 17 00:00:00 2001
> From: Jun Zhao <jun.zhao@intel.com>
> Date: Wed, 31 Jan 2018 08:21:30 +0800
> Subject: [PATCH] hwcontext_vaapi: add iHD open source driver.
> 
> Signed-off-by: Jun Zhao <jun.zhao@intel.com>
> ---
>  libavutil/hwcontext_vaapi.c | 4 ++++
>  1 file changed, 4 insertions(+)
> 
> diff --git a/libavutil/hwcontext_vaapi.c b/libavutil/hwcontext_vaapi.c
> index 29698d1b27..34c5a2c264 100644
> --- a/libavutil/hwcontext_vaapi.c
> +++ b/libavutil/hwcontext_vaapi.c
> @@ -285,6 +285,10 @@ static const struct {
>          "ubit",
>          AV_VAAPI_DRIVER_QUIRK_ATTRIB_MEMTYPE,
>      },
> +    {
> +        "Intel iHD open source driver",
> +        "Intel iHD driver",
> +    },
>      {
>          "VDPAU wrapper",
>          "Splitted-Desktop Systems VDPAU backend for VA-API",
> -- 
> 2.14.1
> 

Why?  This is the "list of shame" for drivers with bad or incomplete implementations which need explicit workarounds.  Since the iHD driver is new (in some sense), hopefully it will be a correct implementation which does not require any of these.

- Mark
Jun Zhao Feb. 1, 2018, 6:45 a.m.
On 2018/1/31 19:13, Mark Thompson wrote:
> On 31/01/18 00:35, Jun Zhao wrote:
>> Now FFmpeg-VAAPI work with iHD open source driver
>> (https://github.com/intel/media-driver) initiatory.
>>
>> From 069611945880643aad6ffb5ea70b732f40bbb510 Mon Sep 17 00:00:00 2001
>> From: Jun Zhao <jun.zhao@intel.com>
>> Date: Wed, 31 Jan 2018 08:21:30 +0800
>> Subject: [PATCH] hwcontext_vaapi: add iHD open source driver.
>>
>> Signed-off-by: Jun Zhao <jun.zhao@intel.com>
>> ---
>>  libavutil/hwcontext_vaapi.c | 4 ++++
>>  1 file changed, 4 insertions(+)
>>
>> diff --git a/libavutil/hwcontext_vaapi.c b/libavutil/hwcontext_vaapi.c
>> index 29698d1b27..34c5a2c264 100644
>> --- a/libavutil/hwcontext_vaapi.c
>> +++ b/libavutil/hwcontext_vaapi.c
>> @@ -285,6 +285,10 @@ static const struct {
>>          "ubit",
>>          AV_VAAPI_DRIVER_QUIRK_ATTRIB_MEMTYPE,
>>      },
>> +    {
>> +        "Intel iHD open source driver",
>> +        "Intel iHD driver",
>> +    },
>>      {
>>          "VDPAU wrapper",
>>          "Splitted-Desktop Systems VDPAU backend for VA-API",
>> -- 
>> 2.14.1
>>
> Why?  This is the "list of shame" for drivers with bad or incomplete implementations which need explicit workarounds.  Since the iHD driver is new (in some sense), hopefully it will be a correct implementation which does not require any of these.
>
> - Mark
I leave the driver_quick with zero and just want to give a log message to
identify FFmpeg VA-API can co-work with iHD open source driver, so if
iHD fix the related issue, you don't want to give any log message in
FFmpeg VA-API?
> _______________________________________________
> ffmpeg-devel mailing list
> ffmpeg-devel@ffmpeg.org
> http://ffmpeg.org/mailman/listinfo/ffmpeg-devel
Jun Zhao Feb. 1, 2018, 6:51 a.m.
On 2018/2/1 14:45, Jun Zhao wrote:
>
> On 2018/1/31 19:13, Mark Thompson wrote:
>> On 31/01/18 00:35, Jun Zhao wrote:
>>> Now FFmpeg-VAAPI work with iHD open source driver
>>> (https://github.com/intel/media-driver) initiatory.
>>>
>>> From 069611945880643aad6ffb5ea70b732f40bbb510 Mon Sep 17 00:00:00 2001
>>> From: Jun Zhao <jun.zhao@intel.com>
>>> Date: Wed, 31 Jan 2018 08:21:30 +0800
>>> Subject: [PATCH] hwcontext_vaapi: add iHD open source driver.
>>>
>>> Signed-off-by: Jun Zhao <jun.zhao@intel.com>
>>> ---
>>>  libavutil/hwcontext_vaapi.c | 4 ++++
>>>  1 file changed, 4 insertions(+)
>>>
>>> diff --git a/libavutil/hwcontext_vaapi.c b/libavutil/hwcontext_vaapi.c
>>> index 29698d1b27..34c5a2c264 100644
>>> --- a/libavutil/hwcontext_vaapi.c
>>> +++ b/libavutil/hwcontext_vaapi.c
>>> @@ -285,6 +285,10 @@ static const struct {
>>>          "ubit",
>>>          AV_VAAPI_DRIVER_QUIRK_ATTRIB_MEMTYPE,
>>>      },
>>> +    {
>>> +        "Intel iHD open source driver",
>>> +        "Intel iHD driver",
>>> +    },
>>>      {
>>>          "VDPAU wrapper",
>>>          "Splitted-Desktop Systems VDPAU backend for VA-API",
>>> -- 
>>> 2.14.1
>>>
>> Why?  This is the "list of shame" for drivers with bad or incomplete implementations which need explicit workarounds.  Since the iHD driver is new (in some sense), hopefully it will be a correct implementation which does not require any of these.
>>
>> - Mark
> I leave the driver_quick with zero and just want to give a log message to
> identify FFmpeg VA-API can co-work with iHD open source driver, so if
> iHD fix the related issue, you don't want to give any log message in
> FFmpeg VA-API?
Forget this commits, the code have handle this case, my fault.
>> _______________________________________________
>> ffmpeg-devel mailing list
>> ffmpeg-devel@ffmpeg.org
>> http://ffmpeg.org/mailman/listinfo/ffmpeg-devel

Patch hide | download patch | download mbox

diff --git a/libavutil/hwcontext_vaapi.c b/libavutil/hwcontext_vaapi.c
index 29698d1b27..34c5a2c264 100644
--- a/libavutil/hwcontext_vaapi.c
+++ b/libavutil/hwcontext_vaapi.c
@@ -285,6 +285,10 @@  static const struct {
         "ubit",
         AV_VAAPI_DRIVER_QUIRK_ATTRIB_MEMTYPE,
     },
+    {
+        "Intel iHD open source driver",
+        "Intel iHD driver",
+    },
     {
         "VDPAU wrapper",
         "Splitted-Desktop Systems VDPAU backend for VA-API",